// COMMUNICATION PROTOCOL:

#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif
#define PIN        21
#define NUMPIXELS 12

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);
#define DELAYVAL 50

void setup() {
#if defined(__AVR_ATtiny85__) && (F_CPU == 16000000)
  clock_prescale_set(clock_div_1);
#endif

  pixels.begin();
}

void setcolor(byte r,byte g,byte b){
  pixels.clear();
  for(int i=0; i<NUMPIXELS; i++) {
    pixels.setPixelColor(i, pixels.Color(r,g,b));
  }
  pixels.show();
  
}
void loop() {
  pixels.clear();

  setcolor(255,0,0);
  delay(1000);
  setcolor(0,255,0);
  delay(1000);
  setcolor(0,0,255);
  delay(1000);
  setcolor(0,0,0);
  delay(1000);
  setcolor(255,155,55);

  while(1){
    1;
  }
  
}
